# Crédito — Pessoas (UY3)

> 26 endpoints. Placeholders: `{{baseUrl}}` e `{{token}}`.

## Autenticação

Envie o token em toda requisição no header `Authorization: Bearer {{token}}` (JWT do AWS Cognito). Integrações servidor-a-servidor podem usar `X-Api-Key`. Todo tráfego é HTTPS; a credencial nunca vai na URL nem em query string.

## Pessoas

Cadastre ou selecione a pessoa (física ou jurídica) titular da operação.

### GET /v1/LegalPerson

**Lista todas as pessoas jurídicas inseridas** — Lista e filtra registros de Legal Person.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `page` | query | `integer` | opcional | — | `10` |
| `size` | query | `integer` | opcional | — | `10` |
| `searchString` | query | `string` | opcional | — | `valor` |
| `responsible` | query | `string` | opcional | — | `valor` |
| `companyName` | query | `string` | opcional | — | `valor` |
| `registrationNumber` | query | `string` | opcional | — | `valor` |
| `email` | query | `string` | opcional | — | `valor` |
| `phone` | query | `string` | opcional | — | `valor` |
| `initialDate` | query | `string (date-time)` | opcional | — | `valor` |
| `finalDate` | query | `string (date-time)` | opcional | — | `valor` |
| `isDeleted` | query | `boolean` | opcional | — | `true` |
| `pendingPreApprove` | query | `boolean` | opcional | — | `true` |
| `orderBy` | query | `string` | opcional | — | `valor` |
| `filterByOwner` | query | `string` | opcional | — | `valor` |
| `filterByOwnerGroup` | query | `string` | opcional | — | `valor` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `page` | `integer` | opcional | — | — | `0` |
| `totalPages` | `integer` | opcional | — | — | `0` |
| `totalItems` | `integer` | opcional | — | — | `0` |
| `data` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `paginationToken` | `string` | opcional | — | — | `"texto"` |
| `totalValue` | `integer (int64)` | opcional | — | — | `0` |
| `totalAssignmentValue` | `integer (int64)` | opcional | — | — | `0` |

Detalhe de `data`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `companyName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `averageMonthlyRevenue` | `number (double)` | opcional | — | — | `1000` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `typeOfActivity` | `string` | opcional | — | — | `"texto"` |
| `typeOfActivityDisplay` | `string` | opcional | — | — | `"texto"` |
| `legalNature` | `string` | opcional | — | — | `"texto"` |
| `externalEmployerId` | `integer` | opcional | — | — | `1` |
| `legalNatureDisplay` | `string` | opcional | — | — | `"texto"` |
| `municipalRegistration` | `string` | opcional | — | — | `"texto"` |
| `stateRegistration` | `string` | opcional | — | — | `"texto"` |
| `hasOpenCapitalRegistrationCVM` | `boolean` | opcional | — | — | `true` |
| `openDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `email` | `string` | opcional | — | — | `"cliente@exemplo.com.br"` |
| `site` | `string` | opcional | — | — | `"texto"` |
| `responsible` | `string` | opcional | — | — | `"texto"` |
| `address` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `phone` | `string` | opcional | — | — | `"11987654321"` |
| `phoneExtension` | `string` | opcional | — | — | `"11987654321"` |
| `phone2` | `string` | opcional | — | — | `"11987654321"` |
| `phone2Extension` | `string` | opcional | — | — | `"11987654321"` |
| `economicActivityCodeId` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `economicActivityCode` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `sameBillingAddress` | `boolean` | opcional | — | — | `true` |
| `averageGrossProfitMargin` | `number (double)` | opcional | — | — | `1000` |
| `initialShareCapital` | `number (double)` | opcional | — | — | `1000` |
| `netWorth` | `number (double)` | opcional | — | — | `1000` |
| `purchases` | `number (double)` | opcional | — | — | `1000` |
| `amountRentedFinanced` | `number (double)` | opcional | — | — | `1000` |
| `exportPercentage` | `number (double)` | opcional | — | — | `1.99` |
| `costWithSuppliers` | `number (double)` | opcional | — | — | `1000` |
| `numberOfEmployees` | `integer` | opcional | — | — | `0` |
| `payrollValue` | `number (double)` | opcional | — | — | `1000` |
| `spendingAmountWithTax` | `number (double)` | opcional | — | — | `1.99` |
| `averageSalary` | `number (double)` | opcional | — | — | `1000` |
| `typeOfResidence` | `string` | opcional | — | — | `"texto"` |
| `typeOfResidenceDisplay` | `string` | opcional | — | — | `"texto"` |
| `averageSalesPeriod` | `integer` | opcional | — | — | `0` |
| `fosterablePotential` | `number (double)` | opcional | — | — | `1000` |
| `delayedSalePercentage` | `number (double)` | opcional | — | — | `1.99` |
| `description` | `string` | opcional | — | — | `"texto"` |
| `allowAccessToSchedule` | `boolean` | opcional | — | — | `true` |
| `allowAccessToReceivables` | `boolean` | opcional | — | — | `true` |
| `allowPartnerApiSubscription` | `boolean` | opcional | — | — | `true` |
| `status` | `string` | opcional | — | — | `"texto"` |
| `statusDisplay` | `string` | opcional | — | — | `"texto"` |
| `uploads` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `assets` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `bankAccounts` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `relatedPerson` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `personCreditStatus` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `riskRating` | `string` | opcional | — | — | `"texto"` |
| `b3Account` | `string` | opcional | — | — | `"texto"` |
| `managerIdDisplay` | `string` | opcional | — | — | `"texto"` |
| `manager` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |

Detalhe de `createdBy`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `userIdDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `ownerGroup`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `groupDisplay` | `string` | opcional | — | — | `"texto"` |
| `groupId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `address`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `addressName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `zipCode` | `string` | opcional | — | — | `"01310930"` |
| `city` | `string` | opcional | — | — | `"texto"` |
| `uf` | `string` | opcional | — | — | `"texto"` |
| `ufDisplay` | `string` | opcional | — | — | `"texto"` |
| `district` | `string` | opcional | — | — | `"texto"` |
| `number` | `string` | opcional | — | — | `"texto"` |
| `complement` | `string` | opcional | — | — | `"texto"` |

Detalhe de `economicActivityCode`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `code` | `string` | opcional | — | — | `"texto"` |
| `description` | `string` | opcional | — | — | `"texto"` |

Detalhe de `uploads`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `fileName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `fileType` | `string` | opcional | — | — | `"texto"` |
| `displayName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `documentDate` | `string (date-time)` | opcional | Data do próprio documento (emissão/referência), distinta da data do upload (CreatedAt). Retornada para qualquer tipo de documento; nula quando não foi informada no envio. | — | `"2025-08-11T13:45:00Z"` |
| `tempUrl` | `string` | opcional | — | — | `"https://exemplo.com.br/callback"` |
| `tempGetUrl` | `string` | opcional | — | — | `"https://exemplo.com.br/callback"` |
| `tempPutUrl` | `string` | opcional | — | — | `"https://exemplo.com.br/callback"` |

Detalhe de `assets`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `assetType` | `string` | opcional | — | — | `"texto"` |
| `assetTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `description` | `string` | opcional | — | — | `"texto"` |
| `registerNumber` | `string` | opcional | — | — | `"texto"` |
| `estimatedValue` | `number (double)` | opcional | — | — | `1000` |
| `settled` | `boolean` | opcional | — | — | `true` |

Detalhe de `bankAccounts`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `bankCode` | `string` | opcional | — | — | `"texto"` |
| `bankCodeCompe` | `integer` | opcional | — | — | `0` |
| `bankCodeDisplay` | `string` | opcional | Nome de exibição do Código do banco | — | `"texto"` |
| `bankIspb` | `integer (int64)` | opcional | Código ISPB do banco | — | `0` |
| `account` | `string` | opcional | — | — | `"texto"` |
| `accountDigit` | `string` | opcional | — | — | `"texto"` |
| `agency` | `string` | opcional | — | — | `"texto"` |
| `agencyDigit` | `string` | opcional | — | — | `"texto"` |
| `type` | `string` | opcional | — | — | `"texto"` |
| `typeDisplay` | `string` | opcional | Nome de exibição do tipo da Conta Bancaria | — | `"texto"` |
| `jointAccount` | `boolean` | opcional | — | — | `true` |
| `operationTypeValue` | `string` | opcional | TED, PIX | — | `"texto"` |
| `pixKeyTypeValue` | `string` | opcional | tipo chave pix | — | `"texto"` |
| `keyPix` | `string` | opcional | chave pix | — | `"texto"` |

Detalhe de `relatedPerson`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `personId` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `discriminator` | `string` | opcional | — | — | `"texto"` |
| `personIdDisplay` | `string` | opcional | — | — | `"texto"` |
| `typeOfRelationship` | `string` | opcional | — | — | `"texto"` |
| `typeOfRelationshipDisplay` | `string` | opcional | — | — | `"texto"` |
| `signatureType` | `string` | opcional | — | — | `"texto"` |
| `signatureTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `signatureValidation` | `string` | opcional | — | — | `"texto"` |
| `signatureValidationDisplay` | `string` | opcional | — | — | `"texto"` |

Detalhe de `personCreditStatus`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `validUntil` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `status` | `string` | opcional | — | — | `"texto"` |
| `reason` | `string` | opcional | — | — | `"texto"` |
| `detailedReason` | `string` | opcional | — | — | `"texto"` |
| `approvedLimit` | `integer (int64)` | opcional | — | — | `0` |

Detalhe de `manager`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `alternativeName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `discriminator` | `string` | opcional | — | — | `"texto"` |
| `riskRating` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "page": 0,
  "totalPages": 0,
  "totalItems": 0,
  "data": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "createdAt": "2025-08-11T13:45:00Z",
      "createdBy": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenant": "texto",
        "tenantName": "Fulano de Tal"
      },
      "tenant": "texto",
      "tenantDisplay": "texto",
      "updatedAt": "2025-08-11T13:45:00Z",
      "updatedBy": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenant": "texto",
        "tenantName": "Fulano de Tal"
      },
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenant": "texto",
        "tenantName": "Fulano de Tal"
      },
      "ownerGroup": {
        "groupDisplay": "texto",
        "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      },
      "registrationNumber": "12345678909",
      "companyName": "Fulano de Tal",
      "averageMonthlyRevenue": 1000,
      "name": "Fulano de Tal",
      "typeOfActivity": "texto",
      "typeOfActivityDisplay": "texto",
      "legalNature": "texto",
      "externalEmployerId": 1,
      "legalNatureDisplay": "texto",
      "municipalRegistration": "texto",
      "stateRegistration": "texto",
      "hasOpenCapitalRegistrationCVM": true,
      "openDate": "2025-08-11T13:45:00Z",
      "email": "cliente@exemplo.com.br",
      "site": "texto",
      "responsible": "texto",
      "address": {
        "addressName": "Fulano de Tal",
        "zipCode": "01310930",
        "city": "texto",
        "uf": "texto",
        "ufDisplay": "texto",
        "district": "texto",
        "number": "texto",
        "complement": "texto"
      },
      "phone": "11987654321",
      "phoneExtension": "11987654321",
      "phone2": "11987654321",
      "phone2Extension": "11987654321",
      "economicActivityCodeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "economicActivityCode": {
        "code": "texto",
        "description": "texto"
      },
      "sameBillingAddress": true,
      "averageGrossProfitMargin": 1000,
      "initialShareCapital": 1000,
      "netWorth": 1000,
      "purchases": 1000,
      "amountRentedFinanced": 1000,
      "exportPercentage": 1.99,
      "costWithSuppliers": 1000,
      "numberOfEmployees": 0,
      "payrollValue": 1000,
      "spendingAmountWithTax": 1.99,
      "averageSalary": 1000,
      "typeOfResidence": "texto",
      "typeOfResidenceDisplay": "texto",
      "averageSalesPeriod": 0,
      "fosterablePotential": 1000,
      "delayedSalePercentage": 1.99,
      "description": "texto",
      "allowAccessToSchedule": true,
      "allowAccessToReceivables": true,
      "allowPartnerApiSubscription": true,
      "status": "texto",
      "statusDisplay": "texto",
      "uploads": [
        {}
      ],
      "assets": [
        {}
      ],
      "bankAccounts": [
        {}
      ],
      "relatedPerson": [
        {}
      ],
      "personCreditStatus": {
        "registrationNumber": "12345678909",
        "validUntil": "2025-08-11T13:45:00Z",
        "status": "texto",
        "reason": "texto",
        "detailedReason": "texto",
        "approvedLimit": 0
      },
      "riskRating": "texto",
      "b3Account": "texto",
      "managerIdDisplay": "texto",
      "manager": {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "createdAt": "2025-08-11T13:45:00Z",
        "createdBy": {},
        "tenant": "texto",
        "tenantDisplay": "texto",
        "updatedAt": "2025-08-11T13:45:00Z",
        "updatedBy": {},
        "ownerUser": {},
        "ownerGroup": {},
        "registrationNumber": "12345678909",
        "name": "Fulano de Tal",
        "alternativeName": "Fulano de Tal",
        "discriminator": "texto",
        "riskRating": "texto"
      }
    }
  ],
  "paginationToken": "texto",
  "totalValue": 0,
  "totalAssignmentValue": 0
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/LegalPerson" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /v1/LegalPerson

**Insere uma nova pessoa jurídica** — Cria um novo registro de Legal Person.

Insere uma nova pessoa jurídica. Caso já exista um cadastro existente da PJ visível ao operador solicitante (com base no CNPJ), os dados existentes serão atualizados e o ID retornado será o do registro existente. Coleções relacionadas serão combinadas (dados bancários, documentos, etc).

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `returnValue` | query | `string` | opcional | — | `valor` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `registrationNumber` | `string` | obrigatório | Número CNPJ | — | `"12345678909"` |
| `companyName` | `string` | obrigatório | Razão Social | — | `"Fulano de Tal"` |
| `name` | `string` | obrigatório | Nome fantasia | — | `"Fulano de Tal"` |
| `typeOfActivity` | `string` | opcional | — | `Industry`, `services`, `business` | `"Industry"` |
| `legalNature` | `string` | opcional | — | `MEI`, `EI`, `EIREILI`, `SA`, `LTDA`, `SLU`, `SUA`, `SS` | `"MEI"` |
| `municipalRegistration` | `string` | opcional | Inscrição municipal | — | `"texto"` |
| `stateRegistration` | `string` | opcional | Inscrição estadual | — | `"texto"` |
| `hasOpenCapitalRegistrationCVM` | `boolean` | opcional | Se possui registro de capital aberno CVM | — | `true` |
| `openDate` | `string (date-time)` | opcional | Data de início das atividades | — | `"2025-08-11T13:45:00Z"` |
| `email` | `string` | obrigatório | E-mail de contato | — | `"cliente@exemplo.com.br"` |
| `site` | `string` | opcional | Website institucional | — | `"texto"` |
| `responsible` | `string` | opcional | Responsável legal | — | `"texto"` |
| `address` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `phone` | `string` | obrigatório | Número de telefone | — | `"11987654321"` |
| `phoneExtension` | `string` | opcional | Ramal do telefone | — | `"11987654321"` |
| `phone2` | `string` | opcional | Número de telefone alternativo | — | `"11987654321"` |
| `phone2Extension` | `string` | opcional | Ramal do telefone alternativo | — | `"11987654321"` |
| `economicActivityCodeId` | `string (uuid)` | opcional | ID do Código de Atividade Econômica Principal (CNAE) | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `sameBillingAddress` | `boolean` | opcional | Indica se o endereço de cobrança é o mesmo endereço da sede | — | `true` |
| `b3Account` | `string` | opcional | Número da Conta B3 | — | `"texto"` |
| `averageMonthlyRevenue` | `number (double)` | opcional | Faturamento médio mensal dos últimos 12 meses | — | `1000` |
| `averageGrossProfitMargin` | `number (double)` | opcional | Margem Média de Lucro Bruto dos últimos 12 meses | — | `1000` |
| `initialShareCapital` | `number (double)` | opcional | Capital social integralizado | — | `1000` |
| `netWorth` | `number (double)` | opcional | Patrimônio Líquido | — | `1000` |
| `purchases` | `number (double)` | opcional | Valor em compras nos últimos 12 meses | — | `1000` |
| `amountRentedFinanced` | `number (double)` | opcional | Valor Alugado/Financiado | — | `1000` |
| `exportPercentage` | `number (double)` | opcional | Exportação (em % do faturamento) | — | `1.99` |
| `costWithSuppliers` | `number (double)` | opcional | Custo com fornecedores | — | `1000` |
| `numberOfEmployees` | `integer` | opcional | Número de funcionários | — | `0` |
| `payrollValue` | `number (double)` | opcional | Valor da folha de pagamentos | — | `1000` |
| `spendingAmountWithTax` | `number (double)` | opcional | Gasto corrente com impostos | — | `1.99` |
| `typeOfResidence` | `string` | opcional | — | `Owner`, `Rent` | `"Owner"` |
| `averageSalesPeriod` | `integer` | opcional | Período média de vendas (PMV) em dias | — | `0` |
| `fosterablePotential` | `number (double)` | opcional | Potencial fomentável | — | `1000` |
| `delayedSalePercentage` | `number (double)` | opcional | Percentual de Venda em Atraso | — | `1.99` |
| `description` | `string` | opcional | Descrição das atividades da empresa | — | `"texto"` |
| `allowAccessToSchedule` | `boolean` | opcional | Permite contato para agendamentos | — | `true` |
| `allowAccessToReceivables` | `boolean` | opcional | Permite acesso à carteira de recebíveis | — | `true` |
| `allowPartnerApiSubscription` | `boolean` | opcional | Permite acesso à API parceira | — | `true` |
| `uploads` | `array de objeto` | opcional | Documentos carregados | objeto — ver detalhe abaixo | `[ … ]` |
| `assets` | `array de objeto` | opcional | Lista de bens e diretos | objeto — ver detalhe abaixo | `[ … ]` |
| `externalEmployerId` | `integer` | opcional | — | — | `1` |
| `bankAccounts` | `array de objeto` | opcional | Lista de contas bancárias | objeto — ver detalhe abaixo | `[ … ]` |
| `relatedPerson` | `array de objeto` | opcional | Lista de pessoas envolvidas | objeto — ver detalhe abaixo | `[ … ]` |
| `riskRating` | `string` | opcional | — | `Low`, `Intermediary`, `High` | `"Low"` |
| `managerId` | `string (uuid)` | opcional | Gestor | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |

Detalhe de `ownerUser`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | obrigatório | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `tenantName` | `string` | obrigatório | — | — | `"Fulano de Tal"` |

Detalhe de `ownerGroup`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `groupId` | `string` | obrigatório | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `tenantName` | `string` | obrigatório | — | — | `"Fulano de Tal"` |

Detalhe de `address`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `addressName` | `string` | obrigatório | — | — | `"Fulano de Tal"` |
| `zipCode` | `string` | opcional | — | — | `"01310930"` |
| `city` | `string` | obrigatório | — | — | `"texto"` |
| `uf` | `string` | opcional | — | `NaoSelecionado`, `AC`, `AL`, `AP`, `AM`, `BA`, `CE`, `DF`, `ES`, `GO`, `MA`, `MT`, `MS`, `MG`, `PA`, `PB`, `PR`, `PE`, `PI`, `RJ`, `RN`, `RS`, `RO`, `RR`, `SC`, `SP`, `SE`, `TO` | `"NaoSelecionado"` |
| `district` | `string` | obrigatório | — | — | `"texto"` |
| `number` | `string` | opcional | Número do endereço deve conter apenas números | — | `"texto"` |
| `complement` | `string` | opcional | — | — | `"texto"` |

Detalhe de `uploads`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `fileType` | `string` | obrigatório | — | `Document`, `Authorization`, `DriversLicense`, `WorkCard`, `ResidenceProofCompany`, `ResidenceProofPartners`, `Draft`, `SocialContract`, `RegistrationNumber`, `IdentificationDocumentWithPhoto`, `BankStatement`, `ManagerialBilling`, `RegistrationForm`, `Others`, `Selfie`, `SelfieWithIdentityCard`, `LastDeclaration`, `SignedContract`, `SigningStampContract`, `CreditReport`, `Assignment`, `Addition`, `FiduciaryAssignment`, `P7S`, `ZipedFiles`, `CNAB`, `Invoice`, `MinutesOfElection`, `Procuration`, `TermOfOwnership`, `Bylaws`, `IdentityCard`, `Collateral`, `Regulation`, `Balance`, `BalanceSheet`, `PLDFT`, `IncomeTax`, `DRE`, `Receipt`, `CompanyCard`, `AssignmetReport`, `NationalRegistryOfForeigners`, `NationalIdentityCard`, `RegionalRegistrationCard`, `Passaport`, `Paycheck`, `Indorsement`, `WarrantyRegistrationOfficeProof`, `OperationHistory`, `VehicleInspection`, `InsuranceCancellationTemplate`, `SignatureTemplateDraft`, `InssDefermentReport`, `InssMedicalReview` | `"Document"` |
| `fileName` | `string` | obrigatório | Nome do arquivo (retornado pelo GET v1/Upload) | — | `"Fulano de Tal"` |
| `displayName` | `string` | opcional | Nome de exibição do arquivo | — | `"Fulano de Tal"` |
| `documentDate` | `string (date-time)` | opcional | Data do próprio documento (emissão/referência), não a data do upload. Aceita em qualquer tipo de documento e sempre opcional.   Só tem efeito de negócio no laudo de deferimento INSS e na última perícia INSS, cujos valores são comparados aos cortes da regra de elegibilidade dos benefícios 32/92 (faixa 45–54); nos demais tipos é apenas informativa. | — | `"2025-08-11T13:45:00Z"` |

Detalhe de `assets`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `naturalPersonId` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `legalPersonId` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `assetType` | `string` | obrigatório | — | `Cash`, `AccountsReceivable`, `Inventory`, `Investments`, `Vehicles`, `Furniture`, `Patents`, `RealEstate` | `"Cash"` |
| `description` | `string` | opcional | — | — | `"texto"` |
| `registerNumber` | `string` | opcional | — | — | `"texto"` |
| `estimatedValue` | `number (double)` | opcional | — | — | `1000` |
| `settled` | `boolean` | opcional | — | — | `true` |

Detalhe de `bankAccounts`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `bankCode` | `integer` | opcional | — | — | `0` |
| `bankIspb` | `integer (int64)` | opcional | Código ISPB do banco | — | `0` |
| `account` | `string` | opcional | — | — | `"texto"` |
| `accountDigit` | `string` | opcional | — | — | `"texto"` |
| `agency` | `string` | opcional | — | — | `"texto"` |
| `agencyDigit` | `string` | opcional | — | — | `"texto"` |
| `type` | `string` | opcional | — | `NaturalCheckingAccount`, `NaturalSimpleAccount`, `LegalCheckingAccount`, `PublicEntities`, `FinancialInstitutionsDeposits`, `NaturalSavingsAccount`, `LegalSavingsAccount`, `RealEstateSavingsAccount`, `LotteryDeposits`, `EscrowAccount` | `"NaturalCheckingAccount"` |
| `jointAccount` | `boolean` | opcional | — | — | `true` |
| `operationTypeValue` | `string` | obrigatório | — | `Transfer`, `Pix` | `"Transfer"` |
| `pixKeyTypeValue` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic`, `AgencyAndAccount` | `"NaturalRegistrationNumber"` |
| `keyPix` | `string` | opcional | chave pix | — | `"texto"` |

Detalhe de `relatedPerson`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `personId` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `typeOfRelationship` | `string` | opcional | — | `Issuer`, `PartnerGuarantor`, `Guarantor`, `Proxy`, `ProxyGuarantor`, `Partner`, `Spouse`, `Consenter`, `Witness`, `Assignor`, `Assignee`, `Endorser`, `Employer`, `Creditor`, `Debtor`, `PartnerDebtor`, `BillingAgent`, `BillingAgentApproverUser`, `Beneficiary`, `NotaryAgent`, `SettlementAgent`, `CreditorEndorser`, `FaithfulCustodian`, `JointGuarantor`, `ThirdPartyGuarantor`, `LegalRepresentative`, `InsuranceCompany`, `Presidente`, `Administrador`, `Diretor` | `"Issuer"` |
| `signatureType` | `string` | opcional | — | `email`, `sms`, `whatsapp` | `"email"` |
| `signatureValidation` | `string` | opcional | — | `EletronicSignatureAndDocument`, `SelfieSignature`, `SelfieDocumentSignature`, `FacialBiometrics`, `DigitalCertificate`, `EletronicSignature` | `"EletronicSignatureAndDocument"` |

Exemplo:

```json
{
  "ownerUser": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "tenantName": "Fulano de Tal"
  },
  "ownerGroup": {
    "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "tenantName": "Fulano de Tal"
  },
  "registrationNumber": "12345678909",
  "companyName": "Fulano de Tal",
  "name": "Fulano de Tal",
  "typeOfActivity": "Industry",
  "legalNature": "MEI",
  "municipalRegistration": "texto",
  "stateRegistration": "texto",
  "hasOpenCapitalRegistrationCVM": true,
  "openDate": "2025-08-11T13:45:00Z",
  "email": "cliente@exemplo.com.br",
  "site": "texto",
  "responsible": "texto",
  "address": {
    "ownerUser": {
      "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "tenantName": "Fulano de Tal"
    },
    "ownerGroup": {
      "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "tenantName": "Fulano de Tal"
    },
    "addressName": "Fulano de Tal",
    "zipCode": "01310930",
    "city": "texto",
    "uf": "NaoSelecionado",
    "district": "texto",
    "number": "texto",
    "complement": "texto"
  },
  "phone": "11987654321",
  "phoneExtension": "11987654321",
  "phone2": "11987654321",
  "phone2Extension": "11987654321",
  "economicActivityCodeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "sameBillingAddress": true,
  "b3Account": "texto",
  "averageMonthlyRevenue": 1000,
  "averageGrossProfitMargin": 1000,
  "initialShareCapital": 1000,
  "netWorth": 1000,
  "purchases": 1000,
  "amountRentedFinanced": 1000,
  "exportPercentage": 1.99,
  "costWithSuppliers": 1000,
  "numberOfEmployees": 0,
  "payrollValue": 1000,
  "spendingAmountWithTax": 1.99,
  "typeOfResidence": "Owner",
  "averageSalesPeriod": 0,
  "fosterablePotential": 1000,
  "delayedSalePercentage": 1.99,
  "description": "texto",
  "allowAccessToSchedule": true,
  "allowAccessToReceivables": true,
  "allowPartnerApiSubscription": true,
  "uploads": [
    {
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "ownerGroup": {
        "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "fileType": "Document",
      "fileName": "Fulano de Tal",
      "displayName": "Fulano de Tal",
      "documentDate": "2025-08-11T13:45:00Z"
    }
  ],
  "assets": [
    {
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "ownerGroup": {
        "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "naturalPersonId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "legalPersonId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "assetType": "Cash",
      "description": "texto",
      "registerNumber": "texto",
      "estimatedValue": 1000,
      "settled": true
    }
  ],
  "externalEmployerId": 1,
  "bankAccounts": [
    {
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "ownerGroup": {
        "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "bankCode": 0,
      "bankIspb": 0,
      "account": "texto",
      "accountDigit": "texto",
      "agency": "texto",
      "agencyDigit": "texto",
      "type": "NaturalCheckingAccount",
      "jointAccount": true,
      "operationTypeValue": "Transfer",
      "pixKeyTypeValue": "NaturalRegistrationNumber",
      "keyPix": "texto"
    }
  ],
  "relatedPerson": [
    {
      "personId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "typeOfRelationship": "Issuer",
      "signatureType": "email",
      "signatureValidation": "EletronicSignatureAndDocument"
    }
  ],
  "riskRating": "Low",
  "managerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
```

**Resposta 200**

Exemplo:

```json
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/LegalPerson" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "ownerUser": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "tenantName": "Fulano de Tal"
  },
  "ownerGroup": {
    "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "tenantName": "Fulano de Tal"
  },
  "registrationNumber": "12345678909",
  "companyName": "Fulano de Tal",
  "name": "Fulano de Tal",
  "typeOfActivity": "Industry",
  "legalNature": "MEI",
  "municipalRegistration": "texto",
  "stateRegistration": "texto",
  "hasOpenCapitalRegistrationCVM": true,
  "openDate": "2025-08-11T13:45:00Z",
  "email": "cliente@exemplo.com.br",
  "site": "texto",
  "responsible": "texto",
  "address": {
    "ownerUser": {
      "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "tenantName": "Fulano de Tal"
    },
    "ownerGroup": {
      "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "tenantName": "Fulano de Tal"
    },
    "addressName": "Fulano de Tal",
    "zipCode": "01310930",
    "city": "texto",
    "uf": "NaoSelecionado",
    "district": "texto",
    "number": "texto",
    "complement": "texto"
  },
  "phone": "11987654321",
  "phoneExtension": "11987654321",
  "phone2": "11987654321",
  "phone2Extension": "11987654321",
  "economicActivityCodeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "sameBillingAddress": true,
  "b3Account": "texto",
  "averageMonthlyRevenue": 1000,
  "averageGrossProfitMargin": 1000,
  "initialShareCapital": 1000,
  "netWorth": 1000,
  "purchases": 1000,
  "amountRentedFinanced": 1000,
  "exportPercentage": 1.99,
  "costWithSuppliers": 1000,
  "numberOfEmployees": 0,
  "payrollValue": 1000,
  "spendingAmountWithTax": 1.99,
  "typeOfResidence": "Owner",
  "averageSalesPeriod": 0,
  "fosterablePotential": 1000,
  "delayedSalePercentage": 1.99,
  "description": "texto",
  "allowAccessToSchedule": true,
  "allowAccessToReceivables": true,
  "allowPartnerApiSubscription": true,
  "uploads": [
    {
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "ownerGroup": {
        "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "fileType": "Document",
      "fileName": "Fulano de Tal",
      "displayName": "Fulano de Tal",
      "documentDate": "2025-08-11T13:45:00Z"
    }
  ],
  "assets": [
    {
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "ownerGroup": {
        "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "naturalPersonId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "legalPersonId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "assetType": "Cash",
      "description": "texto",
      "registerNumber": "texto",
      "estimatedValue": 1000,
      "settled": true
    }
  ],
  "externalEmployerId": 1,
  "bankAccounts": [
    {
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "ownerGroup": {
        "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "bankCode": 0,
      "bankIspb": 0,
      "account": "texto",
      "accountDigit": "texto",
      "agency": "texto",
      "agencyDigit": "texto",
      "type": "NaturalCheckingAccount",
      "jointAccount": true,
      "operationTypeValue": "Transfer",
      "pixKeyTypeValue": "NaturalRegistrationNumber",
      "keyPix": "texto"
    }
  ],
  "relatedPerson": [
    {
      "personId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "typeOfRelationship": "Issuer",
      "signatureType": "email",
      "signatureValidation": "EletronicSignatureAndDocument"
    }
  ],
  "riskRating": "Low",
  "managerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
```

---

### GET /v1/LegalPerson/{id}

**Lista uma pessoa jurídica por id** — Consulta Legal Person pelo identificador informado na rota.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string (uuid)` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `companyName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `averageMonthlyRevenue` | `number (double)` | opcional | — | — | `1000` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `typeOfActivity` | `string` | opcional | — | — | `"texto"` |
| `typeOfActivityDisplay` | `string` | opcional | — | — | `"texto"` |
| `legalNature` | `string` | opcional | — | — | `"texto"` |
| `externalEmployerId` | `integer` | opcional | — | — | `1` |
| `legalNatureDisplay` | `string` | opcional | — | — | `"texto"` |
| `municipalRegistration` | `string` | opcional | — | — | `"texto"` |
| `stateRegistration` | `string` | opcional | — | — | `"texto"` |
| `hasOpenCapitalRegistrationCVM` | `boolean` | opcional | — | — | `true` |
| `openDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `email` | `string` | opcional | — | — | `"cliente@exemplo.com.br"` |
| `site` | `string` | opcional | — | — | `"texto"` |
| `responsible` | `string` | opcional | — | — | `"texto"` |
| `address` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `phone` | `string` | opcional | — | — | `"11987654321"` |
| `phoneExtension` | `string` | opcional | — | — | `"11987654321"` |
| `phone2` | `string` | opcional | — | — | `"11987654321"` |
| `phone2Extension` | `string` | opcional | — | — | `"11987654321"` |
| `economicActivityCodeId` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `economicActivityCode` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `sameBillingAddress` | `boolean` | opcional | — | — | `true` |
| `averageGrossProfitMargin` | `number (double)` | opcional | — | — | `1000` |
| `initialShareCapital` | `number (double)` | opcional | — | — | `1000` |
| `netWorth` | `number (double)` | opcional | — | — | `1000` |
| `purchases` | `number (double)` | opcional | — | — | `1000` |
| `amountRentedFinanced` | `number (double)` | opcional | — | — | `1000` |
| `exportPercentage` | `number (double)` | opcional | — | — | `1.99` |
| `costWithSuppliers` | `number (double)` | opcional | — | — | `1000` |
| `numberOfEmployees` | `integer` | opcional | — | — | `0` |
| `payrollValue` | `number (double)` | opcional | — | — | `1000` |
| `spendingAmountWithTax` | `number (double)` | opcional | — | — | `1.99` |
| `averageSalary` | `number (double)` | opcional | — | — | `1000` |
| `typeOfResidence` | `string` | opcional | — | — | `"texto"` |
| `typeOfResidenceDisplay` | `string` | opcional | — | — | `"texto"` |
| `averageSalesPeriod` | `integer` | opcional | — | — | `0` |
| `fosterablePotential` | `number (double)` | opcional | — | — | `1000` |
| `delayedSalePercentage` | `number (double)` | opcional | — | — | `1.99` |
| `description` | `string` | opcional | — | — | `"texto"` |
| `allowAccessToSchedule` | `boolean` | opcional | — | — | `true` |
| `allowAccessToReceivables` | `boolean` | opcional | — | — | `true` |
| `allowPartnerApiSubscription` | `boolean` | opcional | — | — | `true` |
| `status` | `string` | opcional | — | — | `"texto"` |
| `statusDisplay` | `string` | opcional | — | — | `"texto"` |
| `uploads` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `assets` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `bankAccounts` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `relatedPerson` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `personCreditStatus` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `riskRating` | `string` | opcional | — | — | `"texto"` |
| `b3Account` | `string` | opcional | — | — | `"texto"` |
| `managerIdDisplay` | `string` | opcional | — | — | `"texto"` |
| `manager` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |

Detalhe de `createdBy`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `userIdDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `ownerGroup`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `groupDisplay` | `string` | opcional | — | — | `"texto"` |
| `groupId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `address`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `addressName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `zipCode` | `string` | opcional | — | — | `"01310930"` |
| `city` | `string` | opcional | — | — | `"texto"` |
| `uf` | `string` | opcional | — | — | `"texto"` |
| `ufDisplay` | `string` | opcional | — | — | `"texto"` |
| `district` | `string` | opcional | — | — | `"texto"` |
| `number` | `string` | opcional | — | — | `"texto"` |
| `complement` | `string` | opcional | — | — | `"texto"` |

Detalhe de `economicActivityCode`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `code` | `string` | opcional | — | — | `"texto"` |
| `description` | `string` | opcional | — | — | `"texto"` |

Detalhe de `uploads`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `fileName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `fileType` | `string` | opcional | — | — | `"texto"` |
| `displayName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `documentDate` | `string (date-time)` | opcional | Data do próprio documento (emissão/referência), distinta da data do upload (CreatedAt). Retornada para qualquer tipo de documento; nula quando não foi informada no envio. | — | `"2025-08-11T13:45:00Z"` |
| `tempUrl` | `string` | opcional | — | — | `"https://exemplo.com.br/callback"` |
| `tempGetUrl` | `string` | opcional | — | — | `"https://exemplo.com.br/callback"` |
| `tempPutUrl` | `string` | opcional | — | — | `"https://exemplo.com.br/callback"` |

Detalhe de `assets`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `assetType` | `string` | opcional | — | — | `"texto"` |
| `assetTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `description` | `string` | opcional | — | — | `"texto"` |
| `registerNumber` | `string` | opcional | — | — | `"texto"` |
| `estimatedValue` | `number (double)` | opcional | — | — | `1000` |
| `settled` | `boolean` | opcional | — | — | `true` |

Detalhe de `bankAccounts`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `bankCode` | `string` | opcional | — | — | `"texto"` |
| `bankCodeCompe` | `integer` | opcional | — | — | `0` |
| `bankCodeDisplay` | `string` | opcional | Nome de exibição do Código do banco | — | `"texto"` |
| `bankIspb` | `integer (int64)` | opcional | Código ISPB do banco | — | `0` |
| `account` | `string` | opcional | — | — | `"texto"` |
| `accountDigit` | `string` | opcional | — | — | `"texto"` |
| `agency` | `string` | opcional | — | — | `"texto"` |
| `agencyDigit` | `string` | opcional | — | — | `"texto"` |
| `type` | `string` | opcional | — | — | `"texto"` |
| `typeDisplay` | `string` | opcional | Nome de exibição do tipo da Conta Bancaria | — | `"texto"` |
| `jointAccount` | `boolean` | opcional | — | — | `true` |
| `operationTypeValue` | `string` | opcional | TED, PIX | — | `"texto"` |
| `pixKeyTypeValue` | `string` | opcional | tipo chave pix | — | `"texto"` |
| `keyPix` | `string` | opcional | chave pix | — | `"texto"` |

Detalhe de `relatedPerson`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `personId` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `discriminator` | `string` | opcional | — | — | `"texto"` |
| `personIdDisplay` | `string` | opcional | — | — | `"texto"` |
| `typeOfRelationship` | `string` | opcional | — | — | `"texto"` |
| `typeOfRelationshipDisplay` | `string` | opcional | — | — | `"texto"` |
| `signatureType` | `string` | opcional | — | — | `"texto"` |
| `signatureTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `signatureValidation` | `string` | opcional | — | — | `"texto"` |
| `signatureValidationDisplay` | `string` | opcional | — | — | `"texto"` |

Detalhe de `personCreditStatus`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `validUntil` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `status` | `string` | opcional | — | — | `"texto"` |
| `reason` | `string` | opcional | — | — | `"texto"` |
| `detailedReason` | `string` | opcional | — | — | `"texto"` |
| `approvedLimit` | `integer (int64)` | opcional | — | — | `0` |

Detalhe de `manager`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `alternativeName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `discriminator` | `string` | opcional | — | — | `"texto"` |
| `riskRating` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "createdAt": "2025-08-11T13:45:00Z",
  "createdBy": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenant": "texto",
    "tenantName": "Fulano de Tal"
  },
  "tenant": "texto",
  "tenantDisplay": "texto",
  "updatedAt": "2025-08-11T13:45:00Z",
  "updatedBy": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenant": "texto",
    "tenantName": "Fulano de Tal"
  },
  "ownerUser": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenant": "texto",
    "tenantName": "Fulano de Tal"
  },
  "ownerGroup": {
    "groupDisplay": "texto",
    "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "registrationNumber": "12345678909",
  "companyName": "Fulano de Tal",
  "averageMonthlyRevenue": 1000,
  "name": "Fulano de Tal",
  "typeOfActivity": "texto",
  "typeOfActivityDisplay": "texto",
  "legalNature": "texto",
  "externalEmployerId": 1,
  "legalNatureDisplay": "texto",
  "municipalRegistration": "texto",
  "stateRegistration": "texto",
  "hasOpenCapitalRegistrationCVM": true,
  "openDate": "2025-08-11T13:45:00Z",
  "email": "cliente@exemplo.com.br",
  "site": "texto",
  "responsible": "texto",
  "address": {
    "addressName": "Fulano de Tal",
    "zipCode": "01310930",
    "city": "texto",
    "uf": "texto",
    "ufDisplay": "texto",
    "district": "texto",
    "number": "texto",
    "complement": "texto"
  },
  "phone": "11987654321",
  "phoneExtension": "11987654321",
  "phone2": "11987654321",
  "phone2Extension": "11987654321",
  "economicActivityCodeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "economicActivityCode": {
    "code": "texto",
    "description": "texto"
  },
  "sameBillingAddress": true,
  "averageGrossProfitMargin": 1000,
  "initialShareCapital": 1000,
  "netWorth": 1000,
  "purchases": 1000,
  "amountRentedFinanced": 1000,
  "exportPercentage": 1.99,
  "costWithSuppliers": 1000,
  "numberOfEmployees": 0,
  "payrollValue": 1000,
  "spendingAmountWithTax": 1.99,
  "averageSalary": 1000,
  "typeOfResidence": "texto",
  "typeOfResidenceDisplay": "texto",
  "averageSalesPeriod": 0,
  "fosterablePotential": 1000,
  "delayedSalePercentage": 1.99,
  "description": "texto",
  "allowAccessToSchedule": true,
  "allowAccessToReceivables": true,
  "allowPartnerApiSubscription": true,
  "status": "texto",
  "statusDisplay": "texto",
  "uploads": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "createdAt": "2025-08-11T13:45:00Z",
      "createdBy": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenant": "texto",
        "tenantName": "Fulano de Tal"
      },
      "tenant": "texto",
      "tenantDisplay": "texto",
      "updatedAt": "2025-08-11T13:45:00Z",
      "updatedBy": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenant": "texto",
        "tenantName": "Fulano de Tal"
      },
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenant": "texto",
        "tenantName": "Fulano de Tal"
      },
      "ownerGroup": {
        "groupDisplay": "texto",
        "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      },
      "fileName": "Fulano de Tal",
      "fileType": "texto",
      "displayName": "Fulano de Tal",
      "documentDate": "2025-08-11T13:45:00Z",
      "tempUrl": "https://exemplo.com.br/callback",
      "tempGetUrl": "https://exemplo.com.br/callback",
      "tempPutUrl": "https://exemplo.com.br/callback"
    }
  ],
  "assets": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "createdAt": "2025-08-11T13:45:00Z",
      "createdBy": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenant": "texto",
        "tenantName": "Fulano de Tal"
      },
      "tenant": "texto",
      "tenantDisplay": "texto",
      "updatedAt": "2025-08-11T13:45:00Z",
      "updatedBy": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenant": "texto",
        "tenantName": "Fulano de Tal"
      },
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenant": "texto",
        "tenantName": "Fulano de Tal"
      },
      "ownerGroup": {
        "groupDisplay": "texto",
        "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      },
      "assetType": "texto",
      "assetTypeDisplay": "texto",
      "description": "texto",
      "registerNumber": "texto",
      "estimatedValue": 1000,
      "settled": true
    }
  ],
  "bankAccounts": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "createdAt": "2025-08-11T13:45:00Z",
      "createdBy": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenant": "texto",
        "tenantName": "Fulano de Tal"
      },
      "tenant": "texto",
      "tenantDisplay": "texto",
      "updatedAt": "2025-08-11T13:45:00Z",
      "updatedBy": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenant": "texto",
        "tenantName": "Fulano de Tal"
      },
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenant": "texto",
        "tenantName": "Fulano de Tal"
      },
      "ownerGroup": {
        "groupDisplay": "texto",
        "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      },
      "bankCode": "texto",
      "bankCodeCompe": 0,
      "bankCodeDisplay": "texto",
      "bankIspb": 0,
      "account": "texto",
      "accountDigit": "texto",
      "agency": "texto",
      "agencyDigit": "texto",
      "type": "texto",
      "typeDisplay": "texto",
      "jointAccount": true,
      "operationTypeValue": "texto",
      "pixKeyTypeValue": "texto",
      "keyPix": "texto"
    }
  ],
  "relatedPerson": [
    {
      "personId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "discriminator": "texto",
      "personIdDisplay": "texto",
      "typeOfRelationship": "texto",
      "typeOfRelationshipDisplay": "texto",
      "signatureType": "texto",
      "signatureTypeDisplay": "texto",
      "signatureValidation": "texto",
      "signatureValidationDisplay": "texto"
    }
  ],
  "personCreditStatus": {
    "registrationNumber": "12345678909",
    "validUntil": "2025-08-11T13:45:00Z",
    "status": "texto",
    "reason": "texto",
    "detailedReason": "texto",
    "approvedLimit": 0
  },
  "riskRating": "texto",
  "b3Account": "texto",
  "managerIdDisplay": "texto",
  "manager": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "createdAt": "2025-08-11T13:45:00Z",
    "createdBy": {
      "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "registrationNumber": "12345678909",
      "userIdDisplay": "texto",
      "tenantDisplay": "texto",
      "tenant": "texto",
      "tenantName": "Fulano de Tal"
    },
    "tenant": "texto",
    "tenantDisplay": "texto",
    "updatedAt": "2025-08-11T13:45:00Z",
    "updatedBy": {
      "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "registrationNumber": "12345678909",
      "userIdDisplay": "texto",
      "tenantDisplay": "texto",
      "tenant": "texto",
      "tenantName": "Fulano de Tal"
    },
    "ownerUser": {
      "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "registrationNumber": "12345678909",
      "userIdDisplay": "texto",
      "tenantDisplay": "texto",
      "tenant": "texto",
      "tenantName": "Fulano de Tal"
    },
    "ownerGroup": {
      "groupDisplay": "texto",
      "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "tenantDisplay": "texto",
      "tenantName": "Fulano de Tal"
    },
    "registrationNumber": "12345678909",
    "name": "Fulano de Tal",
    "alternativeName": "Fulano de Tal",
    "discriminator": "texto",
    "riskRating": "texto"
  }
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/LegalPerson/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}"
```

---

### PUT /v1/LegalPerson/{id}

**Atualiza os dados de uma pessoa jurídica** — Atualiza por completo um registro de Legal Person existente.

Atualiza os dados de uma pessoa jurídica. Observe que essa requisição pode excluir registros relacionados caso não sejam incluídos no corpo. Por exemplo, dados bancários e uploads não referênciados serão excluídos. Isso pode causar erros caso o dado bancário esteja relacionado à uma operação de crédito concluída ou em andamento. Neste caso, utilize a API específica de atualização de dados bancários. Essa atualização é ignorada se a coleção relacionada for informada com valor nulo.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string (uuid)` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `returnValue` | query | `string` | opcional | — | `valor` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `companyName` | `string` | obrigatório | — | — | `"Fulano de Tal"` |
| `name` | `string` | obrigatório | — | — | `"Fulano de Tal"` |
| `typeOfActivity` | `string` | opcional | — | `Industry`, `services`, `business` | `"Industry"` |
| `legalNature` | `string` | opcional | — | `MEI`, `EI`, `EIREILI`, `SA`, `LTDA`, `SLU`, `SUA`, `SS` | `"MEI"` |
| `municipalRegistration` | `string` | opcional | — | — | `"texto"` |
| `stateRegistration` | `string` | opcional | — | — | `"texto"` |
| `hasOpenCapitalRegistrationCVM` | `boolean` | opcional | — | — | `true` |
| `b3Account` | `string` | opcional | — | — | `"texto"` |
| `openDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `email` | `string` | obrigatório | — | — | `"cliente@exemplo.com.br"` |
| `site` | `string` | opcional | — | — | `"texto"` |
| `responsible` | `string` | opcional | — | — | `"texto"` |
| `address` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `phone` | `string` | obrigatório | — | — | `"11987654321"` |
| `phoneExtension` | `string` | opcional | — | — | `"11987654321"` |
| `phone2` | `string` | opcional | — | — | `"11987654321"` |
| `phone2Extension` | `string` | opcional | — | — | `"11987654321"` |
| `economicActivityCodeId` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `sameBillingAddress` | `boolean` | opcional | — | — | `true` |
| `averageMonthlyRevenue` | `number (double)` | opcional | — | — | `1000` |
| `averageGrossProfitMargin` | `number (double)` | opcional | — | — | `1000` |
| `initialShareCapital` | `number (double)` | opcional | — | — | `1000` |
| `netWorth` | `number (double)` | opcional | — | — | `1000` |
| `purchases` | `number (double)` | opcional | — | — | `1000` |
| `amountRentedFinanced` | `number (double)` | opcional | — | — | `1000` |
| `exportPercentage` | `number (double)` | opcional | — | — | `1.99` |
| `costWithSuppliers` | `number (double)` | opcional | — | — | `1000` |
| `numberOfEmployees` | `integer` | opcional | — | — | `0` |
| `payrollValue` | `number (double)` | opcional | — | — | `1000` |
| `spendingAmountWithTax` | `number (double)` | opcional | — | — | `1.99` |
| `typeOfResidence` | `string` | opcional | — | `Owner`, `Rent` | `"Owner"` |
| `averageSalesPeriod` | `integer` | opcional | — | — | `0` |
| `fosterablePotential` | `number (double)` | opcional | — | — | `1000` |
| `delayedSalePercentage` | `number (double)` | opcional | — | — | `1.99` |
| `allowAccessToSchedule` | `boolean` | opcional | — | — | `true` |
| `allowAccessToReceivables` | `boolean` | opcional | — | — | `true` |
| `allowPartnerApiSubscription` | `boolean` | opcional | — | — | `true` |
| `description` | `string` | opcional | — | — | `"texto"` |
| `externalEmployerId` | `integer` | opcional | — | — | `1` |
| `uploads` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `assets` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `bankAccounts` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `relatedPerson` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `riskRating` | `string` | opcional | — | `Low`, `Intermediary`, `High` | `"Low"` |
| `managerId` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |

Detalhe de `address`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `addressName` | `string` | obrigatório | — | — | `"Fulano de Tal"` |
| `zipCode` | `string` | opcional | — | — | `"01310930"` |
| `city` | `string` | obrigatório | — | — | `"texto"` |
| `uf` | `string` | obrigatório | — | `NaoSelecionado`, `AC`, `AL`, `AP`, `AM`, `BA`, `CE`, `DF`, `ES`, `GO`, `MA`, `MT`, `MS`, `MG`, `PA`, `PB`, `PR`, `PE`, `PI`, `RJ`, `RN`, `RS`, `RO`, `RR`, `SC`, `SP`, `SE`, `TO` | `"NaoSelecionado"` |
| `district` | `string` | obrigatório | — | — | `"texto"` |
| `number` | `string` | opcional | Número do endereço deve conter apenas números | — | `"texto"` |
| `complement` | `string` | opcional | — | — | `"texto"` |

Detalhe de `uploads`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `id` | `string (uuid)` | opcional | Id do arquivo | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `fileName` | `string` | obrigatório | Nome do arquivo (retornado pelo GET v1/Upload) | — | `"Fulano de Tal"` |
| `fileType` | `string` | opcional | — | `Document`, `Authorization`, `DriversLicense`, `WorkCard`, `ResidenceProofCompany`, `ResidenceProofPartners`, `Draft`, `SocialContract`, `RegistrationNumber`, `IdentificationDocumentWithPhoto`, `BankStatement`, `ManagerialBilling`, `RegistrationForm`, `Others`, `Selfie`, `SelfieWithIdentityCard`, `LastDeclaration`, `SignedContract`, `SigningStampContract`, `CreditReport`, `Assignment`, `Addition`, `FiduciaryAssignment`, `P7S`, `ZipedFiles`, `CNAB`, `Invoice`, `MinutesOfElection`, `Procuration`, `TermOfOwnership`, `Bylaws`, `IdentityCard`, `Collateral`, `Regulation`, `Balance`, `BalanceSheet`, `PLDFT`, `IncomeTax`, `DRE`, `Receipt`, `CompanyCard`, `AssignmetReport`, `NationalRegistryOfForeigners`, `NationalIdentityCard`, `RegionalRegistrationCard`, `Passaport`, `Paycheck`, `Indorsement`, `WarrantyRegistrationOfficeProof`, `OperationHistory`, `VehicleInspection`, `InsuranceCancellationTemplate`, `SignatureTemplateDraft`, `InssDefermentReport`, `InssMedicalReview` | `"Document"` |
| `displayName` | `string` | opcional | Nome de exibição do arquivo | — | `"Fulano de Tal"` |
| `documentDate` | `string (date-time)` | opcional | Data do próprio documento (emissão/referência), não a data do upload. Aceita em qualquer tipo de documento e sempre opcional. Só tem efeito de negócio no laudo de deferimento INSS e na última perícia INSS (regra de elegibilidade dos benefícios 32/92). | — | `"2025-08-11T13:45:00Z"` |

Detalhe de `assets`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `id` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `assetType` | `string` | obrigatório | — | `Cash`, `AccountsReceivable`, `Inventory`, `Investments`, `Vehicles`, `Furniture`, `Patents`, `RealEstate` | `"Cash"` |
| `description` | `string` | opcional | — | — | `"texto"` |
| `registerNumber` | `string` | opcional | — | — | `"texto"` |
| `estimatedValue` | `number (double)` | opcional | — | — | `1000` |
| `settled` | `boolean` | opcional | — | — | `true` |

Detalhe de `bankAccounts`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `id` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `bankCode` | `integer` | opcional | — | — | `0` |
| `bankIspb` | `integer (int64)` | opcional | Código ISPB do banco | — | `0` |
| `account` | `string` | opcional | — | — | `"texto"` |
| `accountDigit` | `string` | opcional | — | — | `"texto"` |
| `agency` | `string` | opcional | — | — | `"texto"` |
| `agencyDigit` | `string` | opcional | — | — | `"texto"` |
| `type` | `string` | opcional | — | `NaturalCheckingAccount`, `NaturalSimpleAccount`, `LegalCheckingAccount`, `PublicEntities`, `FinancialInstitutionsDeposits`, `NaturalSavingsAccount`, `LegalSavingsAccount`, `RealEstateSavingsAccount`, `LotteryDeposits`, `EscrowAccount` | `"NaturalCheckingAccount"` |
| `jointAccount` | `boolean` | opcional | — | — | `true` |
| `operationTypeValue` | `string` | obrigatório | — | `Transfer`, `Pix` | `"Transfer"` |
| `pixKeyTypeValue` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic`, `AgencyAndAccount` | `"NaturalRegistrationNumber"` |
| `keyPix` | `string` | opcional | Chave Pix | — | `"texto"` |

Detalhe de `relatedPerson`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `legalPersonId` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `personId` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `typeOfRelationship` | `string` | opcional | — | `Issuer`, `PartnerGuarantor`, `Guarantor`, `Proxy`, `ProxyGuarantor`, `Partner`, `Spouse`, `Consenter`, `Witness`, `Assignor`, `Assignee`, `Endorser`, `Employer`, `Creditor`, `Debtor`, `PartnerDebtor`, `BillingAgent`, `BillingAgentApproverUser`, `Beneficiary`, `NotaryAgent`, `SettlementAgent`, `CreditorEndorser`, `FaithfulCustodian`, `JointGuarantor`, `ThirdPartyGuarantor`, `LegalRepresentative`, `InsuranceCompany`, `Presidente`, `Administrador`, `Diretor` | `"Issuer"` |
| `signatureType` | `string` | opcional | — | `email`, `sms`, `whatsapp` | `"email"` |
| `signatureValidation` | `string` | opcional | — | `EletronicSignatureAndDocument`, `SelfieSignature`, `SelfieDocumentSignature`, `FacialBiometrics`, `DigitalCertificate`, `EletronicSignature` | `"EletronicSignatureAndDocument"` |

Detalhe de `ownerUser`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | obrigatório | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `tenantName` | `string` | obrigatório | — | — | `"Fulano de Tal"` |

Detalhe de `ownerGroup`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `groupId` | `string` | obrigatório | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `tenantName` | `string` | obrigatório | — | — | `"Fulano de Tal"` |

Exemplo:

```json
{
  "companyName": "Fulano de Tal",
  "name": "Fulano de Tal",
  "typeOfActivity": "Industry",
  "legalNature": "MEI",
  "municipalRegistration": "texto",
  "stateRegistration": "texto",
  "hasOpenCapitalRegistrationCVM": true,
  "b3Account": "texto",
  "openDate": "2025-08-11T13:45:00Z",
  "email": "cliente@exemplo.com.br",
  "site": "texto",
  "responsible": "texto",
  "address": {
    "ownerUser": {
      "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "tenantName": "Fulano de Tal"
    },
    "ownerGroup": {
      "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "tenantName": "Fulano de Tal"
    },
    "addressName": "Fulano de Tal",
    "zipCode": "01310930",
    "city": "texto",
    "uf": "NaoSelecionado",
    "district": "texto",
    "number": "texto",
    "complement": "texto"
  },
  "phone": "11987654321",
  "phoneExtension": "11987654321",
  "phone2": "11987654321",
  "phone2Extension": "11987654321",
  "economicActivityCodeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "sameBillingAddress": true,
  "averageMonthlyRevenue": 1000,
  "averageGrossProfitMargin": 1000,
  "initialShareCapital": 1000,
  "netWorth": 1000,
  "purchases": 1000,
  "amountRentedFinanced": 1000,
  "exportPercentage": 1.99,
  "costWithSuppliers": 1000,
  "numberOfEmployees": 0,
  "payrollValue": 1000,
  "spendingAmountWithTax": 1.99,
  "typeOfResidence": "Owner",
  "averageSalesPeriod": 0,
  "fosterablePotential": 1000,
  "delayedSalePercentage": 1.99,
  "allowAccessToSchedule": true,
  "allowAccessToReceivables": true,
  "allowPartnerApiSubscription": true,
  "description": "texto",
  "externalEmployerId": 1,
  "uploads": [
    {
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "ownerGroup": {
        "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "fileName": "Fulano de Tal",
      "fileType": "Document",
      "displayName": "Fulano de Tal",
      "documentDate": "2025-08-11T13:45:00Z"
    }
  ],
  "assets": [
    {
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "ownerGroup": {
        "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "assetType": "Cash",
      "description": "texto",
      "registerNumber": "texto",
      "estimatedValue": 1000,
      "settled": true
    }
  ],
  "bankAccounts": [
    {
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "ownerGroup": {
        "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "bankCode": 0,
      "bankIspb": 0,
      "account": "texto",
      "accountDigit": "texto",
      "agency": "texto",
      "agencyDigit": "texto",
      "type": "NaturalCheckingAccount",
      "jointAccount": true,
      "operationTypeValue": "Transfer",
      "pixKeyTypeValue": "NaturalRegistrationNumber",
      "keyPix": "texto"
    }
  ],
  "relatedPerson": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "legalPersonId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "personId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "typeOfRelationship": "Issuer",
      "signatureType": "email",
      "signatureValidation": "EletronicSignatureAndDocument"
    }
  ],
  "riskRating": "Low",
  "managerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X PUT "{{baseUrl}}/v1/LegalPerson/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "companyName": "Fulano de Tal",
  "name": "Fulano de Tal",
  "typeOfActivity": "Industry",
  "legalNature": "MEI",
  "municipalRegistration": "texto",
  "stateRegistration": "texto",
  "hasOpenCapitalRegistrationCVM": true,
  "b3Account": "texto",
  "openDate": "2025-08-11T13:45:00Z",
  "email": "cliente@exemplo.com.br",
  "site": "texto",
  "responsible": "texto",
  "address": {
    "ownerUser": {
      "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "tenantName": "Fulano de Tal"
    },
    "ownerGroup": {
      "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "tenantName": "Fulano de Tal"
    },
    "addressName": "Fulano de Tal",
    "zipCode": "01310930",
    "city": "texto",
    "uf": "NaoSelecionado",
    "district": "texto",
    "number": "texto",
    "complement": "texto"
  },
  "phone": "11987654321",
  "phoneExtension": "11987654321",
  "phone2": "11987654321",
  "phone2Extension": "11987654321",
  "economicActivityCodeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "sameBillingAddress": true,
  "averageMonthlyRevenue": 1000,
  "averageGrossProfitMargin": 1000,
  "initialShareCapital": 1000,
  "netWorth": 1000,
  "purchases": 1000,
  "amountRentedFinanced": 1000,
  "exportPercentage": 1.99,
  "costWithSuppliers": 1000,
  "numberOfEmployees": 0,
  "payrollValue": 1000,
  "spendingAmountWithTax": 1.99,
  "typeOfResidence": "Owner",
  "averageSalesPeriod": 0,
  "fosterablePotential": 1000,
  "delayedSalePercentage": 1.99,
  "allowAccessToSchedule": true,
  "allowAccessToReceivables": true,
  "allowPartnerApiSubscription": true,
  "description": "texto",
  "externalEmployerId": 1,
  "uploads": [
    {
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "ownerGroup": {
        "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "fileName": "Fulano de Tal",
      "fileType": "Document",
      "displayName": "Fulano de Tal",
      "documentDate": "2025-08-11T13:45:00Z"
    }
  ],
  "assets": [
    {
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "ownerGroup": {
        "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "assetType": "Cash",
      "description": "texto",
      "registerNumber": "texto",
      "estimatedValue": 1000,
      "settled": true
    }
  ],
  "bankAccounts": [
    {
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "ownerGroup": {
        "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantName": "Fulano de Tal"
      },
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "bankCode": 0,
      "bankIspb": 0,
      "account": "texto",
      "accountDigit": "texto",
      "agency": "texto",
      "agencyDigit": "texto",
      "type": "NaturalCheckingAccount",
      "jointAccount": true,
      "operationTypeValue": "Transfer",
      "pixKeyTypeValue": "NaturalRegistrationNumber",
      "keyPix": "texto"
    }
  ],
  "relatedPerson": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "legalPersonId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "personId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "typeOfRelationship": "Issuer",
      "signatureType": "email",
      "signatureValidation": "EletronicSignatureAndDocument"
    }
  ],
  "riskRating": "Low",
  "managerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
```

---

### DELETE /v1/LegalPerson/{id}

**Exclui uma pessoa jurídica** — Remove um registro de Legal Person.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string (uuid)` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X DELETE "{{baseUrl}}/v1/LegalPerson/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /v1/LegalPerson/{id}/BankAccount

**Insere dados da(s) conta(s) bancária(s) para a pessoa jurídica** — Cria um novo registro de Legal Person.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string (uuid)` | obrigatório | id pessoa jurídica | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`, lista/array)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `bankCode` | `integer` | opcional | — | — | `0` |
| `bankIspb` | `integer (int64)` | opcional | Código ISPB do banco | — | `0` |
| `account` | `string` | opcional | — | — | `"texto"` |
| `accountDigit` | `string` | opcional | — | — | `"texto"` |
| `agency` | `string` | opcional | — | — | `"texto"` |
| `agencyDigit` | `string` | opcional | — | — | `"texto"` |
| `type` | `string` | opcional | — | `NaturalCheckingAccount`, `NaturalSimpleAccount`, `LegalCheckingAccount`, `PublicEntities`, `FinancialInstitutionsDeposits`, `NaturalSavingsAccount`, `LegalSavingsAccount`, `RealEstateSavingsAccount`, `LotteryDeposits`, `EscrowAccount` | `"NaturalCheckingAccount"` |
| `jointAccount` | `boolean` | opcional | — | — | `true` |
| `operationTypeValue` | `string` | obrigatório | — | `Transfer`, `Pix` | `"Transfer"` |
| `pixKeyTypeValue` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic`, `AgencyAndAccount` | `"NaturalRegistrationNumber"` |
| `keyPix` | `string` | opcional | chave pix | — | `"texto"` |

Detalhe de `ownerUser`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | obrigatório | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `tenantName` | `string` | obrigatório | — | — | `"Fulano de Tal"` |

Detalhe de `ownerGroup`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `groupId` | `string` | obrigatório | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `tenantName` | `string` | obrigatório | — | — | `"Fulano de Tal"` |

Exemplo:

```json
[
  {
    "ownerUser": {
      "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "tenantName": "Fulano de Tal"
    },
    "ownerGroup": {
      "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "tenantName": "Fulano de Tal"
    },
    "bankCode": 0,
    "bankIspb": 0,
    "account": "texto",
    "accountDigit": "texto",
    "agency": "texto",
    "agencyDigit": "texto",
    "type": "NaturalCheckingAccount",
    "jointAccount": true,
    "operationTypeValue": "Transfer",
    "pixKeyTypeValue": "NaturalRegistrationNumber",
    "keyPix": "texto"
  }
]
```

**Resposta 200**

Exemplo:

```json
[
  "3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/LegalPerson/3fa85f64-5717-4562-b3fc-2c963f66afa6/BankAccount" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '[
  {
    "ownerUser": {
      "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "tenantName": "Fulano de Tal"
    },
    "ownerGroup": {
      "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "tenantName": "Fulano de Tal"
    },
    "bankCode": 0,
    "bankIspb": 0,
    "account": "texto",
    "accountDigit": "texto",
    "agency": "texto",
    "agencyDigit": "texto",
    "type": "NaturalCheckingAccount",
    "jointAccount": true,
    "operationTypeValue": "Transfer",
    "pixKeyTypeValue": "NaturalRegistrationNumber",
    "keyPix": "texto"
  }
]'
```

---

### POST /v1/LegalPerson/{id}/Upload

**Insere documentos para a pessoa jurídica** — Cria um novo registro de Legal Person.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string (uuid)` | obrigatório | id pessoa jurídica | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`, lista/array)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `fileType` | `string` | obrigatório | — | `Document`, `Authorization`, `DriversLicense`, `WorkCard`, `ResidenceProofCompany`, `ResidenceProofPartners`, `Draft`, `SocialContract`, `RegistrationNumber`, `IdentificationDocumentWithPhoto`, `BankStatement`, `ManagerialBilling`, `RegistrationForm`, `Others`, `Selfie`, `SelfieWithIdentityCard`, `LastDeclaration`, `SignedContract`, `SigningStampContract`, `CreditReport`, `Assignment`, `Addition`, `FiduciaryAssignment`, `P7S`, `ZipedFiles`, `CNAB`, `Invoice`, `MinutesOfElection`, `Procuration`, `TermOfOwnership`, `Bylaws`, `IdentityCard`, `Collateral`, `Regulation`, `Balance`, `BalanceSheet`, `PLDFT`, `IncomeTax`, `DRE`, `Receipt`, `CompanyCard`, `AssignmetReport`, `NationalRegistryOfForeigners`, `NationalIdentityCard`, `RegionalRegistrationCard`, `Passaport`, `Paycheck`, `Indorsement`, `WarrantyRegistrationOfficeProof`, `OperationHistory`, `VehicleInspection`, `InsuranceCancellationTemplate`, `SignatureTemplateDraft`, `InssDefermentReport`, `InssMedicalReview` | `"Document"` |
| `fileName` | `string` | obrigatório | Nome do arquivo (retornado pelo GET v1/Upload) | — | `"Fulano de Tal"` |
| `displayName` | `string` | opcional | Nome de exibição do arquivo | — | `"Fulano de Tal"` |
| `documentDate` | `string (date-time)` | opcional | Data do próprio documento (emissão/referência), não a data do upload. Aceita em qualquer tipo de documento e sempre opcional.   Só tem efeito de negócio no laudo de deferimento INSS e na última perícia INSS, cujos valores são comparados aos cortes da regra de elegibilidade dos benefícios 32/92 (faixa 45–54); nos demais tipos é apenas informativa. | — | `"2025-08-11T13:45:00Z"` |

Detalhe de `ownerUser`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | obrigatório | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `tenantName` | `string` | obrigatório | — | — | `"Fulano de Tal"` |

Detalhe de `ownerGroup`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `groupId` | `string` | obrigatório | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `tenantName` | `string` | obrigatório | — | — | `"Fulano de Tal"` |

Exemplo:

```json
[
  {
    "ownerUser": {
      "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "tenantName": "Fulano de Tal"
    },
    "ownerGroup": {
      "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "tenantName": "Fulano de Tal"
    },
    "fileType": "Document",
    "fileName": "Fulano de Tal",
    "displayName": "Fulano de Tal",
    "documentDate": "2025-08-11T13:45:00Z"
  }
]
```

**Resposta 200**

Exemplo:

```json
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/LegalPerson/3fa85f64-5717-4562-b3fc-2c963f66afa6/Upload" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '[
  {
    "ownerUser": {
      "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "tenantName": "Fulano de Tal"
    },
    "ownerGroup": {
      "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "tenantName": "Fulano de Tal"
    },
    "fileType": "Document",
    "fileName": "Fulano de Tal",
    "displayName": "Fulano de Tal",
    "documentDate": "2025-08-11T13:45:00Z"
  }
]'
```

---

### PUT /v1/LegalPerson/{id}/BankAccount/{bankAccountId}

**Atualiza os dados bancários de uma pessoa jurídica** — Atualiza por completo um registro de Legal Person existente.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string (uuid)` | obrigatório | id pessoa jurídica | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `bankAccountId` | path | `string (uuid)` | obrigatório | id conta bancária | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `id` | `string (uuid)` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `bankCode` | `integer` | opcional | — | — | `0` |
| `bankIspb` | `integer (int64)` | opcional | Código ISPB do banco | — | `0` |
| `account` | `string` | opcional | — | — | `"texto"` |
| `accountDigit` | `string` | opcional | — | — | `"texto"` |
| `agency` | `string` | opcional | — | — | `"texto"` |
| `agencyDigit` | `string` | opcional | — | — | `"texto"` |
| `type` | `string` | opcional | — | `NaturalCheckingAccount`, `NaturalSimpleAccount`, `LegalCheckingAccount`, `PublicEntities`, `FinancialInstitutionsDeposits`, `NaturalSavingsAccount`, `LegalSavingsAccount`, `RealEstateSavingsAccount`, `LotteryDeposits`, `EscrowAccount` | `"NaturalCheckingAccount"` |
| `jointAccount` | `boolean` | opcional | — | — | `true` |
| `operationTypeValue` | `string` | obrigatório | — | `Transfer`, `Pix` | `"Transfer"` |
| `pixKeyTypeValue` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic`, `AgencyAndAccount` | `"NaturalRegistrationNumber"` |
| `keyPix` | `string` | opcional | Chave Pix | — | `"texto"` |

Detalhe de `ownerUser`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | obrigatório | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `tenantName` | `string` | obrigatório | — | — | `"Fulano de Tal"` |

Detalhe de `ownerGroup`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `groupId` | `string` | obrigatório | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `tenantName` | `string` | obrigatório | — | — | `"Fulano de Tal"` |

Exemplo:

```json
{
  "ownerUser": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "tenantName": "Fulano de Tal"
  },
  "ownerGroup": {
    "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "tenantName": "Fulano de Tal"
  },
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "bankCode": 0,
  "bankIspb": 0,
  "account": "texto",
  "accountDigit": "texto",
  "agency": "texto",
  "agencyDigit": "texto",
  "type": "NaturalCheckingAccount",
  "jointAccount": true,
  "operationTypeValue": "Transfer",
  "pixKeyTypeValue": "NaturalRegistrationNumber",
  "keyPix": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X PUT "{{baseUrl}}/v1/LegalPerson/3fa85f64-5717-4562-b3fc-2c963f66afa6/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "ownerUser": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "tenantName": "Fulano de Tal"
  },
  "ownerGroup": {
    "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "tenantName": "Fulano de Tal"
  },
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "bankCode": 0,
  "bankIspb": 0,
  "account": "texto",
  "accountDigit": "texto",
  "agency": "texto",
  "agencyDigit": "texto",
  "type": "NaturalCheckingAccount",
  "jointAccount": true,
  "operationTypeValue": "Transfer",
  "pixKeyTypeValue": "NaturalRegistrationNumber",
  "keyPix": "texto"
}'
```

---

### DELETE /v1/LegalPerson/{id}/BankAccount/{bankAccountId}

**Exclui os dados da conta bancária do cliente** — Remove um registro de Legal Person.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string (uuid)` | obrigatório | id pessoa jurídica | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `bankAccountId` | path | `string (uuid)` | obrigatório | id conta bancária | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X DELETE "{{baseUrl}}/v1/LegalPerson/3fa85f64-5717-4562-b3fc-2c963f66afa6/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}"
```

---

### PUT /v1/LegalPerson/{id}/Upload/{uploadId}

**Atualiza documento de uma pessoa jurídica** — Atualiza por completo um registro de Legal Person existente.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string (uuid)` | obrigatório | id pessoa jurídica | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `uploadId` | path | `string (uuid)` | obrigatório | id documento | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `id` | `string (uuid)` | opcional | Id do arquivo | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `fileName` | `string` | obrigatório | Nome do arquivo (retornado pelo GET v1/Upload) | — | `"Fulano de Tal"` |
| `fileType` | `string` | opcional | — | `Document`, `Authorization`, `DriversLicense`, `WorkCard`, `ResidenceProofCompany`, `ResidenceProofPartners`, `Draft`, `SocialContract`, `RegistrationNumber`, `IdentificationDocumentWithPhoto`, `BankStatement`, `ManagerialBilling`, `RegistrationForm`, `Others`, `Selfie`, `SelfieWithIdentityCard`, `LastDeclaration`, `SignedContract`, `SigningStampContract`, `CreditReport`, `Assignment`, `Addition`, `FiduciaryAssignment`, `P7S`, `ZipedFiles`, `CNAB`, `Invoice`, `MinutesOfElection`, `Procuration`, `TermOfOwnership`, `Bylaws`, `IdentityCard`, `Collateral`, `Regulation`, `Balance`, `BalanceSheet`, `PLDFT`, `IncomeTax`, `DRE`, `Receipt`, `CompanyCard`, `AssignmetReport`, `NationalRegistryOfForeigners`, `NationalIdentityCard`, `RegionalRegistrationCard`, `Passaport`, `Paycheck`, `Indorsement`, `WarrantyRegistrationOfficeProof`, `OperationHistory`, `VehicleInspection`, `InsuranceCancellationTemplate`, `SignatureTemplateDraft`, `InssDefermentReport`, `InssMedicalReview` | `"Document"` |
| `displayName` | `string` | opcional | Nome de exibição do arquivo | — | `"Fulano de Tal"` |
| `documentDate` | `string (date-time)` | opcional | Data do próprio documento (emissão/referência), não a data do upload. Aceita em qualquer tipo de documento e sempre opcional. Só tem efeito de negócio no laudo de deferimento INSS e na última perícia INSS (regra de elegibilidade dos benefícios 32/92). | — | `"2025-08-11T13:45:00Z"` |

Detalhe de `ownerUser`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | obrigatório | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `tenantName` | `string` | obrigatório | — | — | `"Fulano de Tal"` |

Detalhe de `ownerGroup`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `groupId` | `string` | obrigatório | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `tenantName` | `string` | obrigatório | — | — | `"Fulano de Tal"` |

Exemplo:

```json
{
  "ownerUser": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "tenantName": "Fulano de Tal"
  },
  "ownerGroup": {
    "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "tenantName": "Fulano de Tal"
  },
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "fileName": "Fulano de Tal",
  "fileType": "Document",
  "displayName": "Fulano de Tal",
  "documentDate": "2025-08-11T13:45:00Z"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X PUT "{{baseUrl}}/v1/LegalPerson/3fa85f64-5717-4562-b3fc-2c963f66afa6/Upload/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "ownerUser": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "tenantName": "Fulano de Tal"
  },
  "ownerGroup": {
    "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "tenantName": "Fulano de Tal"
  },
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "fileName": "Fulano de Tal",
  "fileType": "Document",
  "displayName": "Fulano de Tal",
  "documentDate": "2025-08-11T13:45:00Z"
}'
```

---

### DELETE /v1/LegalPerson/{id}/Upload/{uploadId}

**Exclui documento da pessoa jurídica** — Remove um registro de Legal Person.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
[...]
